--- /tmp/vcf2ldif/vcf2ldif.c	Thu May 11 03:19:17 2000
+++ vcf2ldif.c	Sat Feb 21 23:52:25 2004
@@ -11,6 +11,10 @@
 
 	if (!(p=(VObject*)isAPropertyOf(o, id)))
 		return 0;
+        // cpbotha AT ieee.org: if this is NULL, fakeCString will call
+        // uStrLen with a NULL arg and that will then segfault.
+        if (!vObjectUStringZValue(p))
+                return 0;
 
 	s = fakeCString(vObjectUStringZValue(p));
 	if (name && s) {
